Summary: A language for data analysis and graphics
Name: R-base
Version: 1.2.0
Release: 6
Source0: ftp://cvs.r-project.org/pub/CRAN/src/base/R-%{version}.tgz
Patch0: R-1.2.0-LIBINDEX.patch
Patch1: R-1.2.0-cpp.patch
Copyright: GPL
Group: Applications/Engineering
Packager: Martyn Plummer <plummer@iarc.fr>
URL: http://www.r-project.org
BuildRoot: %{_tmppath}/%{name}-root
Icon: logosm-trans.gif
Provides: R-base
Requires: perl 
Conflicts: R-contrib <= 1998.11.16
Conflicts: R-VR <= 5.3pl027
Obsoletes: R-gnome
Exclusivearch: i386

%description
`GNU S' - A language and environment for statistical computing and
graphics. R is similar to S, which was developed at Bell Laboratories
by John Chambers et al. It provides a wide variety of statistical and
graphical techniques (linear and nonlinear modelling, statistical
tests, time series analysis, classification, clustering, ...).

R is designed as a true computer language with control-flow
constructions for iteration and alternation, and it allows users to
add additional functionality by defining new functions. For
computationally intensive tasks, C and Fortran code can be linked and
called at run time.

%prep
%setup -q -n R-%{version}
%patch0 -p1 -b .LIBINDEX
%patch1 -p1 -b .cpp

%build
export CFLAGS=$RPM_OPT_FLAGS
export FFLAGS=$RPM_OPT_FLAGS

./configure 
make 
make check
make pdf

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=%{buildroot}/%{_prefix} mandir=%{buildroot}/%{_mandir}

#Remove latex versions of help pages
#
rm -rf %{buildroot}/%{_libdir}/R/library/*/latex/

#install the missing LIBINDEX script 
pushd src/scripts 
install -m755 LIBINDEX %{buildroot}%{_libdir}/R/bin 
popd 

#Fix location of R_HOME in shell wrapper
#
(cd %{buildroot}/%{_bindir}; \
 sed -e "s@{R_HOME=.*@{R_HOME=%{_libdir}/R}@" R > R.fixed; \
 chmod 755 R.fixed; \
 mv R.fixed R;)

# Remove package indices. They are rebuilt by the postinstall script.
#
rm -f %{buildroot}%{_libdir}/R/doc/html/function.html
rm -f %{buildroot}%{_libdir}/R/doc/html/packages.html
rm -f %{buildroot}%{_libdir}/R/library/LibIndex

%files 
%defattr(-, root, root)
%{_bindir}/R
%{_mandir}/man1/*
%{_libdir}/R
%doc AUTHORS BUGS COPYING COPYRIGHTS FAQ MIRROR-SITES NEWS
%doc README RESOURCES THANKS VERSION Y2K
%doc doc/manual/R-exts.pdf
%doc doc/manual/R-FAQ.pdf
%doc doc/manual/R-intro.pdf

%clean
rm -rf %{buildroot}

%post 
%{_bindir}/R LIBINDEX

%preun 
if [ $1 = 0 ]; then
   rm -f %{_libdir}/R/doc/html/function.html
   rm -f %{_libdir}/R/doc/html/packages.html
   rm -f %{_libdir}/R/library/LibIndex
fi

%changelog
* Thu Feb 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- cope with the newer, more strict cpp

* Tue Dec 19 2000 Tim Powers <timp@redhat.com>
- removed redundant defines at the top of the spec file
- woops, we were missing the libindex script again, fixed

* Mon Dec 18 2000 Martyn Plummer <plummer@iarc.fr>
- Rebuilt after removing copy of tclConfig.sh in /usr/local/lib which
  screwed up configuration of the tcltk package.

* Sat Dec 16 2000 Martyn Plummer <plummer@iarc.fr>
- Made more extensive use of macros, removing hard-coded
  paths from the SPEC file.  This is now incompatible with making
  the RPM relocatable so the prefix tag has been removed. So has the
  dependency on sed.
- Development on the GNOME interface has stopped and its future is
  uncertain.  I have removed the R-base-gnome option from the build.

* Fri Dec 15 2000 Martyn Plummer <plummer@iarc.fr>
- Built R 1.2.0

* Thu Nov 09 2000 Martyn Plummer <plummer@iarc.fr>
- Included some enhancements from Red Hat powertools version
  Filename globbing for man page allows compressed man files
  Use of _bindir, _mandir and _libdir macros.

* Wed Aug 16 2000 Martyn Plummer <plummer@iarc.fr>
- R 1.1.1 released. Removed R-1.1.0-cofig.sub-alpha.patch since
  this version uses up to date config.sub.

* Fri Jun 16 2000 Martyn Plummer <plummer@iarc.fr>
- Added patch R-1.1.0-cofig.sub-alpha.patch from Naoki Takebayashi

* Thu Jun 15 2000 Martyn Plummer <plummer@iarc.fr>
- Removed dependencies on egcs egcs-g77

* Tue Feb 29 2000 Martyn Plummer <plummer@iarc.fr
- Changed the description to match
  http://developer.r-project.org/R-description-short.txt

* Mon Feb 28 2000 Martyn Plummer <plummer@iarc.fr>
- Added egcs, egcs-g77 and perl as requirements. People who want to install
  their own R packages need a working build environment.

* Fri Feb 11 2000 Martyn Plummer <plummer@iarc.fr>
- Remove latex versions of help pages, to save a bit of space.
- PDF files installed in top level doc directory.
- Included R-0.99.0-fixes patch for some serious bugs

* Tue Feb  8 2000 Martyn Plummer <plummer@iarc.fr>
- Added patch R-refman.patch which prevents building the reference manual

* Fri Feb  4 2000 Martyn Plummer <plummer@iarc.fr>
- Updated in preparation for R-0.99.0.
- Now install manual in pdf format.
